---
title: Synchronization service
description: You can interact with the synchronization service over REST, as shown in the following table:
component: pingoneaic
page_id: pingoneaic:idm-rest-api:endpoints/rest-sync
canonical_url: https://docs.pingidentity.com/pingoneaic/idm-rest-api/endpoints/rest-sync.html
---

# Synchronization service

You can interact with the synchronization service over REST, as shown in the following table:

| URI                                                              | HTTP Operation | Description                                                                                                                                                                                                          |
| ---------------------------------------------------------------- | -------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| /openidm/sync?\_action=getLinkedResources\&resourceName=resource | POST           | Provides a list of linked resources for the specified resource.                                                                                                                                                      |
| /openidm/sync/mappings?\_queryFilter=true                        | GET            | Returns a list of all configured [mappings](../../idm-synchronization/mappings.html) in the order they'll be processed. Also supports [paging results](../../idm-synchronization/mappings.html#sync-mapping-paging). |
| /openidm/sync/queue?\_queryFilter=filter                         | GET            | Lists the [queued synchronization events](../../idm-synchronization/chap-implicit-live-sync.html#queued-sync-over-rest), based on the specified filter.                                                              |
| /openidm/sync/queue/eventID                                      | DELETE         | Deletes a queued synchronization event, based on its ID.                                                                                                                                                             |

For example:

```
curl \
--header "Authorization: Bearer <access-token>" \
--header "Accept-API-Version: resource=1.0" \
--header "Content-Type: application/json" \
--request POST \
"https://<tenant-env-fqdn>/openidm/sync?_action=getLinkedResources&resourceName=managed/realm-name_user/42f8a60e-2019-4110-a10d-7231c3578e2b"
[
  {
    "resourceName": "system/ldap/account/03496258-1c5e-40a0-8744-badc2500f262",
    "content": {
      "uid": "joe.smith1",
      "mail": "joe.smith@example.com",
      "sn": "Smith",
      "givenName": "Joe",
      "employeeType": [],
      "dn": "uid=joe.smith1,ou=People,dc=example,dc=com",
      "ldapGroups": [],
      "cn": "Joe Smith",
      "kbaInfo": [],
      "aliasList": [],
      "objectClass": [
        "top",
        "inetOrgPerson",
        "organizationalPerson",
        "person"
      ],
      "_id": "03496258-1c5e-40a0-8744-badc2500f262"
    },
    "linkQualifier": "default",
    "linkType": "systemLdapAccounts_managedUser"
  }
]
```
